#pragma once

#include "SvgShapeElement.h"
#include "DiscretePoint.h"

#include "XmlAttribute.h"

class SvgCircle : public SvgShapeElement
{
public:
    SvgCircle();

    void setLocation(const DiscretePoint& loc);

    void setRadius(unsigned rad);
};

class SvgRectangle : public SvgShapeElement
{
public:
    SvgRectangle();

    void setLocation(const DiscretePoint& loc);

    void setWidth(unsigned width);

    void setHeight(unsigned height);
};

class SvgPolygon : public SvgShapeElement
{
public:
    SvgPolygon();

    void setPoints(const std::vector<DiscretePoint>& loc);
};
